Class List Method List File List

# Class: Concurrent::Channel::ValidationError

Inherits:
  Error
  - Object
  - Concurrent::Channel::ValidationError
  show all
Defined in:
  lib/concurrent/channel.rb

## Instance Method Summary (collapse)

- - (ValidationError) initialize(message = nil) constructor

  A new instance of ValidationError.

## Constructor Details

### - (`ValidationError`) initialize(message = nil)

Returns a new instance of ValidationError

    34
    35
    36

    # File 'lib/concurrent/channel.rb', line 34

    def initialize(message = nil)
      message ||= 'invalid value'
    end